image: "flofritz/ci-benchmark-hpx-embb"

stages:
  - build
  - test
  - sanitizer

build_cmake:
  stage: build
  script:
    ./ci_scripts/build_cmake_release.sh
  artifacts:
    paths:
      - release/

run_tests:
  stage: test
  script:
    ./ci_scripts/run_tests.sh

# Disable until we can get a clang with the tsan patch for fibers on the CI server
#run_thread_sanitizer:
#  stage: sanitizer
#  script:
#    ./ci_scripts/run_thread_sanitizer.sh

run_address_sanitizer:
  stage: sanitizer
  script:
    ./ci_scripts/run_address_sanitizer.sh
